<style>
    table,
    td {
        border: 1px solid #ddd;
        text-align: center;
        color: black;

    }

    table {
        width: 30%;
    }

 
    td {
        padding: 5px;
    }
</style>
<div>
    <!-- <h3 style="color: rgb(22, 22, 20); background-color: black;">Add Class</h3> -->
    <br>
    <h3>Search Subject</h3>
    <br>
    <input type="string"[(ngModel)]="id1" placeholder="Enter Subject Name">
    <br>
    <br>
    <button (click)="SearchSubject()">Search Subject</button>
</div>
<br>
<div>
    <table align="center">
        <tr>
            <th>Subject Id</th>
            <th>Subject Name</th>
        </tr>
        <tr *ngFor="let sub of subjectList">
            <td>{{sub.sub_id}}</td> 
            <td>{{sub.sub_Name}}</td> 
        </tr>
    </table>
</div>